# jQuery-Select-Extended
* simple and lightweight jQuery select menu
* easy to customize
* different animation styles

## Dependencies
* jQuery >= v1.5

## How To:

markup:
```html
<div id="select" class="example">
  <input type="hidden" name="" value="">
  <button>
    <span>Select</span>
    <span class="caret"></span>
  </button>
  <ul>
    <li value="1">Option 1</li>
    <li value="2">Option 2</li>
    <li value="3">Option 3</li>
  </ul>
</div>
```

invoke:
```javascript
$("#select").selectX();
```
### Options:
* open: [true,false]
* animate: ["fade", "slide"]
* selected: [value, index]

### Callbacks:
* onOpen
* onClose
* onSelect

... or take a look at the examples.

## Functions:
* selectX("open") > show options
* selectX("close") > hide options
* selectX("update") > call after changing options
* selectX("selectOption", value) > selects the option with the value or index
